Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.35.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
53.35.64.0
Broadcast address
53.35.127.255
First usable
53.35.64.1
Last usable
53.35.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 35234000 · Integer 891502592 to 891518975
Reverse DNS zones
64.35.53.in-addr.arpa
65.35.53.in-addr.arpa
66.35.53.in-addr.arpa
67.35.53.in-addr.arpa
68.35.53.in-addr.arpa
69.35.53.in-addr.arpa
70.35.53.in-addr.arpa
71.35.53.in-addr.arpa
72.35.53.in-addr.arpa
73.35.53.in-addr.arpa
74.35.53.in-addr.arpa
75.35.53.in-addr.arpa
76.35.53.in-addr.arpa
77.35.53.in-addr.arpa
78.35.53.in-addr.arpa
79.35.53.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101.00100011.01000000.0000000053.35.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00110101.00100011.01000000.0000000053.35.64.0
Broadcast00110101.00100011.01111111.1111111153.35.127.255
Split into smaller subnets/25

53.35.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.35.64.0/2553.35.64.1 to 53.35.64.12653.35.64.127126
253.35.64.128/2553.35.64.129 to 53.35.64.25453.35.64.255126
353.35.65.0/2553.35.65.1 to 53.35.65.12653.35.65.127126
453.35.65.128/2553.35.65.129 to 53.35.65.25453.35.65.255126
553.35.66.0/2553.35.66.1 to 53.35.66.12653.35.66.127126
653.35.66.128/2553.35.66.129 to 53.35.66.25453.35.66.255126
753.35.67.0/2553.35.67.1 to 53.35.67.12653.35.67.127126
853.35.67.128/2553.35.67.129 to 53.35.67.25453.35.67.255126
953.35.68.0/2553.35.68.1 to 53.35.68.12653.35.68.127126
1053.35.68.128/2553.35.68.129 to 53.35.68.25453.35.68.255126
1153.35.69.0/2553.35.69.1 to 53.35.69.12653.35.69.127126
1253.35.69.128/2553.35.69.129 to 53.35.69.25453.35.69.255126
1353.35.70.0/2553.35.70.1 to 53.35.70.12653.35.70.127126
1453.35.70.128/2553.35.70.129 to 53.35.70.25453.35.70.255126
1553.35.71.0/2553.35.71.1 to 53.35.71.12653.35.71.127126
1653.35.71.128/2553.35.71.129 to 53.35.71.25453.35.71.255126
1753.35.72.0/2553.35.72.1 to 53.35.72.12653.35.72.127126
1853.35.72.128/2553.35.72.129 to 53.35.72.25453.35.72.255126
1953.35.73.0/2553.35.73.1 to 53.35.73.12653.35.73.127126
2053.35.73.128/2553.35.73.129 to 53.35.73.25453.35.73.255126
2153.35.74.0/2553.35.74.1 to 53.35.74.12653.35.74.127126
2253.35.74.128/2553.35.74.129 to 53.35.74.25453.35.74.255126
2353.35.75.0/2553.35.75.1 to 53.35.75.12653.35.75.127126
2453.35.75.128/2553.35.75.129 to 53.35.75.25453.35.75.255126
2553.35.76.0/2553.35.76.1 to 53.35.76.12653.35.76.127126
2653.35.76.128/2553.35.76.129 to 53.35.76.25453.35.76.255126
2753.35.77.0/2553.35.77.1 to 53.35.77.12653.35.77.127126
2853.35.77.128/2553.35.77.129 to 53.35.77.25453.35.77.255126
2953.35.78.0/2553.35.78.1 to 53.35.78.12653.35.78.127126
3053.35.78.128/2553.35.78.129 to 53.35.78.25453.35.78.255126
3153.35.79.0/2553.35.79.1 to 53.35.79.12653.35.79.127126
3253.35.79.128/2553.35.79.129 to 53.35.79.25453.35.79.255126
3353.35.80.0/2553.35.80.1 to 53.35.80.12653.35.80.127126
3453.35.80.128/2553.35.80.129 to 53.35.80.25453.35.80.255126
3553.35.81.0/2553.35.81.1 to 53.35.81.12653.35.81.127126
3653.35.81.128/2553.35.81.129 to 53.35.81.25453.35.81.255126
3753.35.82.0/2553.35.82.1 to 53.35.82.12653.35.82.127126
3853.35.82.128/2553.35.82.129 to 53.35.82.25453.35.82.255126
3953.35.83.0/2553.35.83.1 to 53.35.83.12653.35.83.127126
4053.35.83.128/2553.35.83.129 to 53.35.83.25453.35.83.255126
4153.35.84.0/2553.35.84.1 to 53.35.84.12653.35.84.127126
4253.35.84.128/2553.35.84.129 to 53.35.84.25453.35.84.255126
4353.35.85.0/2553.35.85.1 to 53.35.85.12653.35.85.127126
4453.35.85.128/2553.35.85.129 to 53.35.85.25453.35.85.255126
4553.35.86.0/2553.35.86.1 to 53.35.86.12653.35.86.127126
4653.35.86.128/2553.35.86.129 to 53.35.86.25453.35.86.255126
4753.35.87.0/2553.35.87.1 to 53.35.87.12653.35.87.127126
4853.35.87.128/2553.35.87.129 to 53.35.87.25453.35.87.255126
4953.35.88.0/2553.35.88.1 to 53.35.88.12653.35.88.127126
5053.35.88.128/2553.35.88.129 to 53.35.88.25453.35.88.255126
5153.35.89.0/2553.35.89.1 to 53.35.89.12653.35.89.127126
5253.35.89.128/2553.35.89.129 to 53.35.89.25453.35.89.255126
5353.35.90.0/2553.35.90.1 to 53.35.90.12653.35.90.127126
5453.35.90.128/2553.35.90.129 to 53.35.90.25453.35.90.255126
5553.35.91.0/2553.35.91.1 to 53.35.91.12653.35.91.127126
5653.35.91.128/2553.35.91.129 to 53.35.91.25453.35.91.255126
5753.35.92.0/2553.35.92.1 to 53.35.92.12653.35.92.127126
5853.35.92.128/2553.35.92.129 to 53.35.92.25453.35.92.255126
5953.35.93.0/2553.35.93.1 to 53.35.93.12653.35.93.127126
6053.35.93.128/2553.35.93.129 to 53.35.93.25453.35.93.255126
6153.35.94.0/2553.35.94.1 to 53.35.94.12653.35.94.127126
6253.35.94.128/2553.35.94.129 to 53.35.94.25453.35.94.255126
6353.35.95.0/2553.35.95.1 to 53.35.95.12653.35.95.127126
6453.35.95.128/2553.35.95.129 to 53.35.95.25453.35.95.255126
6553.35.96.0/2553.35.96.1 to 53.35.96.12653.35.96.127126
6653.35.96.128/2553.35.96.129 to 53.35.96.25453.35.96.255126
6753.35.97.0/2553.35.97.1 to 53.35.97.12653.35.97.127126
6853.35.97.128/2553.35.97.129 to 53.35.97.25453.35.97.255126
6953.35.98.0/2553.35.98.1 to 53.35.98.12653.35.98.127126
7053.35.98.128/2553.35.98.129 to 53.35.98.25453.35.98.255126
7153.35.99.0/2553.35.99.1 to 53.35.99.12653.35.99.127126
7253.35.99.128/2553.35.99.129 to 53.35.99.25453.35.99.255126
7353.35.100.0/2553.35.100.1 to 53.35.100.12653.35.100.127126
7453.35.100.128/2553.35.100.129 to 53.35.100.25453.35.100.255126
7553.35.101.0/2553.35.101.1 to 53.35.101.12653.35.101.127126
7653.35.101.128/2553.35.101.129 to 53.35.101.25453.35.101.255126
7753.35.102.0/2553.35.102.1 to 53.35.102.12653.35.102.127126
7853.35.102.128/2553.35.102.129 to 53.35.102.25453.35.102.255126
7953.35.103.0/2553.35.103.1 to 53.35.103.12653.35.103.127126
8053.35.103.128/2553.35.103.129 to 53.35.103.25453.35.103.255126
8153.35.104.0/2553.35.104.1 to 53.35.104.12653.35.104.127126
8253.35.104.128/2553.35.104.129 to 53.35.104.25453.35.104.255126
8353.35.105.0/2553.35.105.1 to 53.35.105.12653.35.105.127126
8453.35.105.128/2553.35.105.129 to 53.35.105.25453.35.105.255126
8553.35.106.0/2553.35.106.1 to 53.35.106.12653.35.106.127126
8653.35.106.128/2553.35.106.129 to 53.35.106.25453.35.106.255126
8753.35.107.0/2553.35.107.1 to 53.35.107.12653.35.107.127126
8853.35.107.128/2553.35.107.129 to 53.35.107.25453.35.107.255126
8953.35.108.0/2553.35.108.1 to 53.35.108.12653.35.108.127126
9053.35.108.128/2553.35.108.129 to 53.35.108.25453.35.108.255126
9153.35.109.0/2553.35.109.1 to 53.35.109.12653.35.109.127126
9253.35.109.128/2553.35.109.129 to 53.35.109.25453.35.109.255126
9353.35.110.0/2553.35.110.1 to 53.35.110.12653.35.110.127126
9453.35.110.128/2553.35.110.129 to 53.35.110.25453.35.110.255126
9553.35.111.0/2553.35.111.1 to 53.35.111.12653.35.111.127126
9653.35.111.128/2553.35.111.129 to 53.35.111.25453.35.111.255126
9753.35.112.0/2553.35.112.1 to 53.35.112.12653.35.112.127126
9853.35.112.128/2553.35.112.129 to 53.35.112.25453.35.112.255126
9953.35.113.0/2553.35.113.1 to 53.35.113.12653.35.113.127126
10053.35.113.128/2553.35.113.129 to 53.35.113.25453.35.113.255126
10153.35.114.0/2553.35.114.1 to 53.35.114.12653.35.114.127126
10253.35.114.128/2553.35.114.129 to 53.35.114.25453.35.114.255126
10353.35.115.0/2553.35.115.1 to 53.35.115.12653.35.115.127126
10453.35.115.128/2553.35.115.129 to 53.35.115.25453.35.115.255126
10553.35.116.0/2553.35.116.1 to 53.35.116.12653.35.116.127126
10653.35.116.128/2553.35.116.129 to 53.35.116.25453.35.116.255126
10753.35.117.0/2553.35.117.1 to 53.35.117.12653.35.117.127126
10853.35.117.128/2553.35.117.129 to 53.35.117.25453.35.117.255126
10953.35.118.0/2553.35.118.1 to 53.35.118.12653.35.118.127126
11053.35.118.128/2553.35.118.129 to 53.35.118.25453.35.118.255126
11153.35.119.0/2553.35.119.1 to 53.35.119.12653.35.119.127126
11253.35.119.128/2553.35.119.129 to 53.35.119.25453.35.119.255126
11353.35.120.0/2553.35.120.1 to 53.35.120.12653.35.120.127126
11453.35.120.128/2553.35.120.129 to 53.35.120.25453.35.120.255126
11553.35.121.0/2553.35.121.1 to 53.35.121.12653.35.121.127126
11653.35.121.128/2553.35.121.129 to 53.35.121.25453.35.121.255126
11753.35.122.0/2553.35.122.1 to 53.35.122.12653.35.122.127126
11853.35.122.128/2553.35.122.129 to 53.35.122.25453.35.122.255126
11953.35.123.0/2553.35.123.1 to 53.35.123.12653.35.123.127126
12053.35.123.128/2553.35.123.129 to 53.35.123.25453.35.123.255126
12153.35.124.0/2553.35.124.1 to 53.35.124.12653.35.124.127126
12253.35.124.128/2553.35.124.129 to 53.35.124.25453.35.124.255126
12353.35.125.0/2553.35.125.1 to 53.35.125.12653.35.125.127126
12453.35.125.128/2553.35.125.129 to 53.35.125.25453.35.125.255126
12553.35.126.0/2553.35.126.1 to 53.35.126.12653.35.126.127126
12653.35.126.128/2553.35.126.129 to 53.35.126.25453.35.126.255126
12753.35.127.0/2553.35.127.1 to 53.35.127.12653.35.127.127126
12853.35.127.128/2553.35.127.129 to 53.35.127.25453.35.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses